import type { ReactInfo, ReactProps } from './types';
declare const __VLS_export: import("vue").DefineComponent<ReactProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {} & {
    toggle: (id: string) => any;
}, string, import("vue").PublicProps, Readonly<ReactProps> & Readonly<{
    onToggle?: ((id: string) => any) | undefined;
}>, {
    top: boolean;
    emojis: ReactInfo[];
    placeholder: string;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: typeof __VLS_export;
export default _default;
